[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

Whonixcheck in Whonix-Workstation ERROR

Hi there, I’m new to this forum so I hope it’s being posted in the correct place. May I ask that an admin move the post if needs be. Thank you!

I’m running Whonix Gateway and Whonix Workstation and just today I have been getting an error message which i’m not too sure the meaning of. The system is used for private and highly sensitive work so I want to be sure it’s ok to use while this error is present.

Anytime I start the system I get the following error:

ERROR:
whonixcheck script bug.
No panic. Nothing is broken. Just some rare condition has been hit.
Try again later. There is likely a solution for this problem.
Please see Whonix News, Whonix Blog and Whonix User Help Forum.
Please report this bug!
who_ami: whonixcheck
identifier:
IDENTIFIER: whonixcheck
exit_code: 0
error_cause: error_handler signal ERR detected with BASH_COMMAND: mkdir --parents “$whonix_news_download_dir”
Experts only:
bash -x whonixcheck --verbose
for verbose output. Clean the output and report to Whonix developers.
#########################################################################

This is the output from the command

user@host:~$ bash -x whonixcheck -verbose

  • set -e
  • ‘[’ -o xtrace ‘]’
  • sudo --non-interactive -u whonixcheck bash -x /usr/lib/whonixcheck/whonixcheck -verbose
    sudo: a password is required

[sudo] password for user:

  • set -e
  • ‘[’ -o xtrace ‘]’
  • sudo --non-interactive -u whonixcheck bash -x /usr/lib/whonixcheck/whonixcheck -verbose
  • set -e
  • set -o pipefail
  • set -o errtrace
  • NOTIFY_MSG=‘Checking Tor Connection, Operating System Updates, Whonix Version…
    This will happen in the background and will take approximately three minutes…’
  • ICON=/usr/share/icons/anon-icon-pack/whonix.ico
    ++ basename /usr/lib/whonixcheck/whonixcheck
  • SCRIPTNAME=whonixcheck
  • IDENTIFIER=whonixcheck
  • bash -n /usr/lib/msgcollector/error_handler
  • source /usr/lib/msgcollector/error_handler
  • trap error_handler ERR
  • set +e
  • bash -n /usr/lib/msgcollector/msgdispatcher_run_check
  • source /usr/lib/msgcollector/msgdispatcher_run_check
  • bash -n /usr/lib/helper-scripts/tor_enabled_check
  • source /usr/lib/helper-scripts/tor_enabled_check
  • bash -n /usr/lib/helper-scripts/pkg_manager_running_check
  • source /usr/lib/helper-scripts/pkg_manager_running_check
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/autostart.bsh
  • source /usr/lib/whonixcheck/autostart.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_anondate.bsh
  • source /usr/lib/whonixcheck/check_anondate.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_apt_repository.bsh
  • source /usr/lib/whonixcheck/check_apt_repository.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_control_port_filter.bsh
  • source /usr/lib/whonixcheck/check_control_port_filter.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_entropy.bsh
  • source /usr/lib/whonixcheck/check_entropy.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_hostname.bsh
  • source /usr/lib/whonixcheck/check_hostname.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_initializer.bsh
  • source /usr/lib/whonixcheck/check_initializer.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_ip_forwarding_disabled.bsh
  • source /usr/lib/whonixcheck/check_ip_forwarding_disabled.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_kernel_messages.bsh
  • source /usr/lib/whonixcheck/check_kernel_messages.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_logs.bsh
  • source /usr/lib/whonixcheck/check_logs.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_network_interfaces.bsh
  • source /usr/lib/whonixcheck/check_network_interfaces.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_news.bsh
  • source /usr/lib/whonixcheck/check_news.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_nonfree.bsh
  • source /usr/lib/whonixcheck/check_nonfree.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_operating_system.bsh
  • source /usr/lib/whonixcheck/check_operating_system.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_package_manager_running.bsh
  • source /usr/lib/whonixcheck/check_package_manager_running.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_packages.bsh
  • source /usr/lib/whonixcheck/check_packages.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_pvclock.bsh
  • source /usr/lib/whonixcheck/check_pvclock.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_qubes.bsh
  • source /usr/lib/whonixcheck/check_qubes.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_services.bsh
  • source /usr/lib/whonixcheck/check_services.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_spectre_meltdown.bsh
  • source /usr/lib/whonixcheck/check_spectre_meltdown.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_stream_isolation.bsh
  • source /usr/lib/whonixcheck/check_stream_isolation.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_sudo.bsh
  • source /usr/lib/whonixcheck/check_sudo.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_systemd_clock.bsh
  • source /usr/lib/whonixcheck/check_systemd_clock.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_timezone.bsh
  • source /usr/lib/whonixcheck/check_timezone.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_tor_bootstrap.bsh
  • source /usr/lib/whonixcheck/check_tor_bootstrap.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_tor_config.bsh
  • source /usr/lib/whonixcheck/check_tor_config.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_tor_enabled.bsh
  • source /usr/lib/whonixcheck/check_tor_enabled.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_tor_pid.bsh
  • source /usr/lib/whonixcheck/check_tor_pid.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_tor_socks_or_trans_port.bsh
  • source /usr/lib/whonixcheck/check_tor_socks_or_trans_port.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_tor_socks_port_reachability.bsh
  • source /usr/lib/whonixcheck/check_tor_socks_port_reachability.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_virtualizer.bsh
  • source /usr/lib/whonixcheck/check_virtualizer.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/check_whonixsetup_done.bsh
  • source /usr/lib/whonixcheck/check_whonixsetup_done.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/cleanup.bsh
  • source /usr/lib/whonixcheck/cleanup.bsh
    ++ trap trap_sigterm SIGTERM
    ++ trap trap_sigint SIGINT
    ++ trap trap_sigusr2 SIGUSR2
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/disclaimer.bsh
  • source /usr/lib/whonixcheck/disclaimer.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/donate.bsh
  • source /usr/lib/whonixcheck/donate.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/function_manual_run.bsh
  • source /usr/lib/whonixcheck/function_manual_run.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/help_cli.bsh
  • source /usr/lib/whonixcheck/help_cli.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/parse_cmd.bsh
  • source /usr/lib/whonixcheck/parse_cmd.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/pin_ssl_cert.bsh
  • source /usr/lib/whonixcheck/pin_ssl_cert.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/preparation.bsh
  • source /usr/lib/whonixcheck/preparation.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/process_killer_helper.bsh
  • source /usr/lib/whonixcheck/process_killer_helper.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/root_check.bsh
  • source /usr/lib/whonixcheck/root_check.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/show_versions.bsh
  • source /usr/lib/whonixcheck/show_versions.bsh
  • for i in /usr/lib/whonixcheck/*.bsh
  • bash -n /usr/lib/whonixcheck/uwt_tool.bsh
  • source /usr/lib/whonixcheck/uwt_tool.bsh
  • whonixcheck_main -verbose
  • parse_cmd_options -verbose
  • AUTOSTARTED=0
  • CURL_VERBOSE=–silent
  • :
  • case $1 in
  • echo ‘whonixcheck unknown option: -verbose’
    whonixcheck unknown option: -verbose
  • EXIT_CODE=1
  • cleanup 1
  • true cleanup…
  • touch /run/whonixcheck/whonixcheck_done
  • sync
  • SIGNAL_TYPE=NONE
  • ex_funct
  • ‘[’ -n ‘’ ‘]’
  • output_cli=true
  • ‘[’ -n ‘’ ‘]’
  • output_x=true
  • ‘[’ -n ‘’ ‘]’
  • output_general=true
  • ‘[’ ‘!’ NONE = NONE ‘]’
  • trap - SIGTERM
  • trap - SIGINT
  • trap - SIGUSR2
  • maybe_kill_apt_get_update
  • ‘[’ ‘’ = ‘’ ‘]’
  • return 0
  • command -v process_killer_helper
  • process_killer_helper
    ++ type -t error_handler
  • ‘[’ function = function ‘]’
  • trap error_handler ERR
  • ‘[’ ‘’ = ‘’ ‘]’
  • return 0
  • lastpid=
  • process_killer_helper
    ++ type -t error_handler
  • ‘[’ function = function ‘]’
  • trap error_handler ERR
  • ‘[’ ‘’ = ‘’ ‘]’
  • return 0
  • cleanup_files
  • ‘[’ ‘’ = false ‘]’
  • ‘[’ -d ‘’ ‘]’
  • rm --force /run/whonixcheck/whonixcheck_running
  • rm --force /run/whonixcheck/whonixcheck_waiting
  • local command_v_output_exit_code
  • command_v_output_exit_code=0
  • command -v output_func
  • ‘[’ 0 = 0 ‘]’
  • local output_status_exit_code
  • output_status_exit_code=0
  • true --identifier whonixcheck --status --messagecli
  • ‘[’ ‘!’ ‘’ = 1 ‘]’
  • ‘[’ 0 = 0 ‘]’
  • local ‘MSG=

    Please feel free to press enter to return back to your normal prompt.

  • true --messagecli --typecli info --message ‘

    Please feel free to press enter to return back to your normal prompt.

  • ‘[’ ‘!’ ‘’ = ‘’ ‘]’
  • ‘[’ NONE = SIGUSR2 ‘]’
  • ‘[’ ‘’ = 0 ‘]’
  • true ‘No progress bar open. No need to send progress 100 to close progress bar.’
  • ‘[’ ‘’ = ‘’ ‘]’
  • TITLE=‘No TITLE defined yet.’
  • ‘[’ ‘’ = ‘’ ‘]’
  • TITLE=‘No TITLE defined yet.’
  • true --titlex ‘’
  • true --titlecli ‘’
  • ‘[’ ‘!’ NONE = NONE ‘]’
  • true --messagex --done
  • true --messagecli --done
  • ‘[’ 1 = ‘’ ‘]’
  • exit 1
--verbose

Not

-verbose
[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]